<!DOCTYPE html>
<html>
    <head>
        <title>Invoice</title>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="css/invoicestyle.css" type="text/css">
        <script src="js/tablednd.js"></script>
        <script src="js/jquery.min.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/invoicescripts.js"></script>
    </head>
    <body>
        <div id="invoice">
            <div id="memo">
                <div id="drop_zone" rel="tooltip" data-original-title="To upload your logo just drop the file here"></div>
                <div id="drop_text">Drop your logo here <span style="font-size:12px;">(200 x 100, 1MB)</span></div>
                <img id="logo_img" src=""/>
                <div id="company_info">
                    <input type="text" id="company_name" rel="tooltip" data-original-title="Enter your company name" placeholder="Company name" maxlength="100" value="" />
                    <textarea id="company_address_contact" rel="tooltip" data-original-title="Enter your company address and contact" placeholder="Company address & contact" maxlength="200"></textarea>
                </div>
                <div class="clear"></div>
            </div>	
            <div id="titlenumber">
            
                <input type="text" id="title" rel="tooltip" data-original-title="Enter invoice title" placeholder="Invoice title" maxlength="25" value="" style="width: 100%;"/>
                <input type="text" id="number" rel="tooltip" data-original-title="Enter invoice number" placeholder="Invoice number" maxlength="25" value="" style="width: 100%;"/>
            </div>
            
            <div id="client">
                <input type="text" id="billtolabel" rel="tooltip" data-original-title="Enter bill to label" placeholder="Client:" maxlength="25" value="" />
                <input type="text" id="clientname" rel="tooltip" data-original-title="Enter client's name" placeholder="Client name" maxlength="100" value="" />
                <textarea id="clientinfo" rel="tooltip" data-original-title="Enter client's address and contact" placeholder="Client info, address, contact, ..." rows="1" cols="1" maxlength="200"></textarea>
            </div>
            
            <div id="netterms">
                <table cellpadding="0" cellspacing="0" border="0">
                    <tr><td><input type="text" id="issuedatelabel" rel="tooltip" data-original-title="Enter issue date label" placeholder="Issue date:" maxlength="25" value="" /></td><td><input type="text" id="issuedate" rel="tooltip" data-original-title="Enter invoice issue date" placeholder="" maxlength="25" value="" /></td></tr>
                    <tr><td><input type="text" id="netdayslabel" rel="tooltip" data-original-title="Enter net days label" placeholder="Net days:" maxlength="25" value="" /></td><td><input type="text" id="netdays" placeholder="21" rel="tooltip" data-original-title="Enter invoice net days" maxlength="25" value="" /></td></tr>
                    <tr><td><input type="text" id="currencylabel" rel="tooltip" data-original-title="Enter currency label" placeholder="Currency:" maxlength="25" value="" /></td><td><input type="text" id="currency" placeholder="USD" rel="tooltip" data-original-title="Enter currency" maxlength="25" value="" /></td></tr>
                    <tr><td><input type="text" id="ponumberlabel" rel="tooltip" data-original-title="Enter P.O. label" placeholder="P.O." maxlength="25" value="" /></td><td><input type="text" id="ponumber" rel="tooltip" data-original-title="Enter P.O. number" placeholder="ex. 15-2-33" maxlength="25" value="" /></td></tr>
                </table>
            </div>
            
            <div class="clear"></div>
            
            <div id="items">
                <table id="items_header_table" cellpadding="0" cellspacing="0" border="0">
                    <th>&nbsp;</th>
                    <th>
                        <input type="text" id="itemlabel" rel="tooltip" data-original-title="Enter item header" placeholder="Item & Description" maxlength="25" value="" />
                    </th>
                    <th>
                        <input type="text" id="quantitylabel" rel="tooltip" data-original-title="Enter quantity header" placeholder="Quantity" maxlength="25" value="" />
                    </th>
                    <th>
                        <input type="text" id="pricelabel" rel="tooltip" data-original-title="Enter price header" placeholder="Price" maxlength="25" value="" />
                    </th>
                    <th>
                        <input type="text" id="linetotallabel" rel="tooltip" data-original-title="Enter line total header" placeholder="Linetotal" maxlength="25" value="" />
                    </th>
                </table>
                
                <table id="items_table" cellpadding="0" cellspacing="0" border="0">
                                </table>
                
                <div class="addrowlink">
                    <a class="addlink" href="javascript:void(0);">Add New Item</a>
                </div>
            </div>
            
            <div class="clear"></div>
            
            <div id="sums">
                <table id="sums_table" cellpadding="0" cellspacing="0" border="0">
                    <tr>
                        <td><input id="subtotalsum" type="text" rel="tooltip" data-original-title="Enter subtotal label" placeholder="Subtotal" maxlength="25" value="" /></td>
                        <td><span id="subtotalsumvalue"></span></td>
                    </tr>
                    <tr>
                        <td><input id="taxsum" type="text" rel="tooltip" data-original-title="Enter tax label and tax value" placeholder="Tax" maxlength="25" value="" /></td>
                                                <td><span id="taxsumvalue"></span></td>
                    </tr>
                    <tr>
                        <td><input id="totalsum" type="text" rel="tooltip" data-original-title="Enter total label" placeholder="Total" maxlength="25" value="" /></td>
                        <td><span id="totalsumvalue"></span></td>
                    </tr>
                </table>
            </div>
            
            <div class="clear"></div>
            
            <div class="stickdown">
                <div id="termsnotes">
                    <input type="text" id="noteslabel" rel="tooltip" data-original-title="Enter terms and notes label" placeholder="Terms & Notes:" maxlength="25" value="" />
                    <textarea id="termsnotesvalue" rows="1" cols="1" rel="tooltip" data-original-title="Enter invoice terms & notes" maxlength="1500"></textarea>
                </div>
                
            </div>
        </div>
    </body>
</html>