$(function() {
	var search = { };
	try {
		search = JSON.parse('{"' + decodeURI(location.search.substring(1)).replace(/"/g, '\\"').replace(/&/g, '","').replace(/=/g, '":"') + '"}');
	}
	catch(err) { }

	function resetData() {
		delete localStorage["invoice_data"];
		delete localStorage["email_data"];

		setTimeout(function () {
			window.location = location.href.replace(location.search, '').replace(location.hash, '');
		}, 0);
	}

	// mechanism to delete the local data and start from scratch
	if (localStorage && parseInt(search.reset_data) === 1)
		resetData();

	$('.reset-data a').click(function () {
		if(confirm('Are you sure you want to reset the invoice data to default?\nThis cannot be undone, all custom data will be lost!'))
			resetData();
	});
	var inv = document.getElementById('invoice_ifr').contentWindow;
	function renderPDFInfo($form) {
		if (!localStorage["invoice_data"])
			inv.SaveInvoice();
		
		var data = JSON.parse(localStorage["invoice_data"]);
		if(localStorage["email_data"]){
			data.from = JSON.parse(localStorage.getItem("email_data"))["from"];
			data.to = JSON.parse(localStorage.getItem("email_data"))["to"];
			data.subject = JSON.parse(localStorage.getItem("email_data"))["subject"];
			data.message = JSON.parse(localStorage.getItem("email_data"))["message"];
		}
		console.log(data);
		var $pdf_form_elements = $('div.pdf-info', $form);
		$pdf_form_elements.empty();

		$.each(data, function(k, v) {
			if(k == 'items')
			{
				for(var i = 0; i < data["items"].length; i++)
				{
					$.each(data["items"][i], function(k1, v1) {
						$pdf_form_elements.append($('<input type="hidden" name="items['+i+']['+k1+']" id="items['+i+']['+k1+']" value="'+encodeURIComponent(v1)+'">'));
					});
				}
			}
			else
			{
				$pdf_form_elements.append($('<input type="hidden" name="'+k+'" id="'+k+'" value="'+encodeURIComponent(v)+'">'));
			}
		});
	}
	
	$('#download').click(function(e) {
		var $form = $('#pdf_form')
		renderPDFInfo($form);

		$('#download i.fa').toggleClass('fa-save fa-spinner fa-spin');

		setTimeout(function () {
			$('#download i.fa').toggleClass('fa-save fa-spinner fa-spin');
		}, 4000);
		$form.submit();
	});

	$('#send').on('shown', function() {
		$('#sendemail_btn').off('click');
		$('#sendemail_btn').on('click', function(e) {
			var $form = $('#send form');

			if(!localStorage["invoice_data"])
				inv.SaveInvoice();
				
			var data = JSON.parse(localStorage["invoice_data"]);
			
			data.from = $('#youremail').val();
			data.to = $('#clientemail').val();
			data.subject = $('#subjectemail').val();
			data.message = $('#messagemail').val();

				localStorage["email_data"] = JSON.stringify({ from: data.from, to: data.to, subject: data.subject, message: data.message});
				renderPDFInfo($form);
				$('#sendemail_btn i.fa').toggleClass('fa-save fa-spinner fa-spin');
				setTimeout(function () {
					$('#sendemail_btn i.fa').toggleClass('fa-save fa-spinner fa-spin');
				}, 10000);
				
				$form.ajaxForm(function(response) {
					console.log(response);
					$('#send').modal('hide');
				});
		});

	});
	
	PopulateEmailFields = function() {
		if(localStorage["email_data"]) {
			var data = JSON.parse(localStorage["email_data"]);
			$('#youremail').val(data.from);
			$('#clientemail').val(data.to);
			$('#subjectemail').val(data.subject);
			$('#messagemail').val(data.message);
		}
	}

	FocusPayPalField = function () {
		$(inv.document).find('#company_paypal').focus();
		$(inv.document).find('#company_paypal').select();
	};
	
	$('.accept-payments div').click(function () {
		FocusPayPalField();
	});
	
	var pos_top = $('#commands_wrap').position();
	var pos_bottom = $('.reset-data').position();
	
	$(window).scroll(function() {

		var pos_scroll = $(window).scrollTop();

		if (pos_scroll >= pos_top.top) {
			$('#commands_wrap').addClass('fixed_menu');

			setTimeout(function () {
				$('#commands_wrap').addClass('animate');
			}, 100);
		}
		if (pos_scroll < pos_top.top) {
			$('#commands_wrap').removeClass('fixed_menu animate');
		}
		if (pos_scroll >= pos_bottom.top + 30) {
			$('#commands_wrap').addClass('top');
		}
		if (pos_scroll < pos_bottom.top + 30) {
			$('#commands_wrap').removeClass('top');
		}
	});
	
	$(document).bind('drop dragover', function (e) {
		e.preventDefault();
		e.stopPropagation();
		e.originalEvent.dataTransfer.dropEffect = 'none';
	});
});