﻿<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Invoice Generator by code3</title>
    <meta name="description" content="Make beautiful and professonal invoices and email them right away.">
    <meta name="author" content="code3">
    <meta name="robots" content="noodp,noydir" />
    <!-- Apple Icons -->
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-57x57.png" sizes="57x57" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-60x60.png" sizes="60x60" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-72x72.png" sizes="72x72" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-76x76.png" sizes="76x76" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-114x114.png" sizes="114x114" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-120x120.png" sizes="120x120" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-144x144.png" sizes="144x144" />
    <link rel="apple-touch-icon" href="icons/apple/apple-touch-icon-152x152.png" sizes="152x152" />
    <!-- Android & Other -->
    <link rel="icon" type="image/png" href="icons/android/favicon-196x196.png" sizes="196x196" />
    <link rel="icon" type="image/png" href="icons/android/favicon-160x160.png" sizes="160x160" />
    <link rel="icon" type="image/png" href="icons/android/favicon-96x96.png" sizes="96x96" />
    <link rel="icon" type="image/png" href="icons/android/favicon-16x16.png" sizes="16x16" />
    <link rel="icon" type="image/png" href="icons/android/favicon-32x32.png" sizes="32x32" />
    <!-- Win8 tile -->
    <meta name="msapplication-TileImage" content="icons/win8/mstile-144x144.png" />
    <meta name="msapplication-TileColor" content="#E4DDCA" />
    <meta name="application-name" content="Invoicebus" />
    <!-- OG data -->
    <meta property="og:title" content="Free PDF Invoice Maker" />
    <meta property="og:description" content="Make beautiful and professonal invoices and email them right away." />
    <meta property="og:type" content="website" />
    <meta property="og:url" content="index.html" />
    <meta property="og:image" content="img/invoicebus-bus.png" />
    <link rel="stylesheet" href="css/bootstrap.css" type="text/css">
    <link rel="stylesheet" href="css/font-awesome.min.css" type="text/css">
    <link rel="stylesheet" href="css/style.css" type="text/css">
    <link rel="stylesheet" href="css/invoicestyle.css" type="text/css">
  </head>

  <body>
    <div id="wraper">
    
      <header>
        <div class="logo">
          <h1>FREE Invoice Generator</h1>
          <div class="clearfix"></div>  
        </div>  
        <h2>Create Beautiful and Professional Invoices with our Invoice Maker</h2>
      </header>
                  
      <div id="commands_wrap">
        <section>
          <form id="pdf_form" method="POST" action="generatepdf.php">
            <button id="download" class="btn btn-primary"><i class="fa fa-save"></i> Download PDF</button>
            <div class="pdf-info"></div>
          </form>
          <span id="savestatus"></span>
          
          <section id="commands">
            <a href="#send" role="button" data-toggle="modal" id="email" class="btn" onclick="PopulateEmailFields();"><i class="fa fa-envelope-o"></i> E-mail</a>
          </section>
        </section>
      </div>

      <div class="clear"></div>
      
      <iframe id="invoice_ifr" allowtransparency="true" frameborder="0" scrolling="no" src="invoice.php"></iframe>

      <div class="reset-data">
        <a href="javascript:void(0)"><i class="fa fa-bolt"></i> Reset invoice data</a>
          <div align="left">
    <div class="invoicebody">
          <h3>Why use our invoice generator?</h3><br>
<p><strong>🔹 Get straight to the point</strong><br><br>Well as a business owner or someone awaiting to collect your payment, the last thing you need is beat around the bush. That&#39;s why we created our simple invoice generator. Why spend a good chuck of your hard earned money on costly accounting software just to send an invoice?</p>
<p><br>With our invoice maker, you can create professional and beautiful invoices in seconds and email them straight to your customers.</p>
<p><br>🔹 <strong>Generate invoices in seconds</strong></p>
<p>Our invoice creator is definitely one of the most fastest invoice generators around. You can literally customize everything including the labels and even add your very own logo. Just drag and drop it in there and we&#39;ll make sure it looks good too.</p>
<p>We kept one decent look because let&#39;s face it, your client or customer just cares about one thing, what they are paying for, and when they need to pay for it.</p>
<p>So we&#39;ve created a universally professional and friendly layout that does the job just right and fast.</p>
<p>🔹 <strong>Download your PDF invoice right away or email it</strong></p>
<p>No more waiting around with confusing and dull software. Create your invoice fast and either download a PDF version right away or email it directly.</p>
<p>🔹 <strong>Professional invoice template for all your needs</strong></p>
<p>We tested quite a few layouts and after consulting with over 1823 small business owners / freelancers, this was the most successful invoice template.</p>
<p>How did it we determine which is the most successful Invoice template?</p>
<p>After doing our giant survey, we determined this specific template to be the winning one as it got fulfilled the fastest.</p>
<p>That means with this particular invoice template, your chances of getting are the fastest.</p>
<p>It code3, we are obsessed with invoicing.</p>
<p>🔹 <strong>Send an invoice in any currency</strong></p>
<p>By default, you&#39;ll see USD but if you want to change it, simply re-type it in with the appropriate currency abbreviation and you&#39;re set. It takes seconds and you can then start sending your invoices using the currency that is just right for you.</p>
<p>🔹 <strong>Never lose your data</strong></p>
                  <p>One of the worst things that can happen when you&#39;re creating an invoice or any document for that matter is forgetting about saving it. How many times has that happened to you? What&#39;s worst is when your client needs an invoice and it keeps getting delayed.</p></div>
    </div>
      </div>

      <hr>

    </div>

    <!-- Email -->
    <div id="send" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <form method="post" action="send.php">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
          <h3 id="myModalLabel">Email Your Invoice</h3>
        </div>
        <div class="modal-body">
          <div class="pdf-info"></div>
          <p><label for="youremail">Your email:</label> <input id="youremail" type="email" required placeholder="myself@example.com" /></p>
          <p><label for="clientemail">Client's email:</label> <input id="clientemail" type="email" required placeholder="client@example.com" /></p>
          <p><label for="subjectemail">Subject:</label> <input id="subjectemail" type="text" required placeholder="Enter email subject" value="Incoming Invoice" /></p>
          <p><label for="messagemail">Message:</label> <textarea id="messagemail" required style="resize:vertical; height:120px; max-height:160px;" placeholder="Enter your message">
Enter a message for your client or customer. Example: Thanks!</textarea>
          </p>
          <p><label>&nbsp;</label> <em style="color:#888;">* Your PDF invoice will be attached to this email.</em></p>
          <p id="email_error_msg"><span>Valid email addresses and other fields are required.</span></p>
        </div>
        <div class="modal-footer">
          <button id="sendemail_btn" class="btn btn-primary">Send <i class="fa fa-arrow-circle-right"></i></button>
        </div>
      </form>
    </div>

    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/smooth-scroll.js"></script>
    <script src="js/jquery.form.js"></script>
    <script src="js/scripts.js"></script>
    <script type="text/javascript">

      function downloadJSAsync() {
        var js1 = document.createElement('script');
        var js2 = document.createElement('script');

        js1.src = 'js/google-analytics.js';
        js2.src = 'js/magic.js';

        document.body.appendChild(js1);
        document.body.appendChild(js2);
      }

      if (window.addEventListener)
        window.addEventListener('load', downloadJSAsync, false);
      else if (window.attachEvent)
        window.attachEvent('onload', downloadJSAsync);
      else window.onload = downloadJSAtOnload;

    </script>
  </body>
</html>